Replace channels on an event
Rate limits
This endpoint does not belong to the priority lane. Do not use it within your ticket sales flow.
Replaces the list of channels for an event.
- Text
- PHP
- C#
- Java
- Python
- Ruby
- Javascript
- Go
POST https://api-{region}.seatsio.net/events/{eventKey}/channels/replace
$this->seatsioClient->events->channels->replace($event->key, [
(new ChannelCreationParams())->setChannelKey("channelKey1")->setName("channel 1")->setColor("#FF0000")->setIndex(1)->setObjects(["A-1", "A-2"]),
(new ChannelCreationParams())->setChannelKey("channelKey2")->setName("channel 2")->setColor("#00FFFF")->setIndex(2)->setObjects([])->setAreaPlaces(["GA1" => 100])
]);
var channels = new List<Channel>
{
new("channelKey1", null, "channel 1", "#FFFF00", 1, new[] {"A-1", "A-2"}, null),
new("channelKey2", null, "channel 2", "#00FFFF", 2, new string[] {}, new Dictionary<string, int> { { "GA1", 100 } })
};
await Client.Events.Channels.ReplaceAsync(event1.Key, channels);
client.events.channels.replace(event.key, List.of(
new ChannelCreationParams("channelKey1", "channel 1", "#FFFF99", 1, Set.of("A-1", "A-2")),
new ChannelCreationParams("channelKey2", "channel 2", "#FFFF99", 2, Set.of(), Map.of("GA1", 100))
));
client.events.channels.replace(event.key, [
ChannelCreationParams(key='channelKey1', name='channel 1', color='#00FF00', index=1, objects=["A-1", "A-2"]),
ChannelCreationParams(key='channelKey2', name='channel 2', color='#FF0000', index=2, objects=[], area_places={'GA1': 100}),
])
client.events.channels.replace key: event.key, channels: [
{"key" => "channelKey1", "name" => "channel 1", "color" => "#FF0000", "index" => 1, "objects" => ["A-1", "A-2"]},
{"key" => "channelKey2", "name" => "channel 2", "color" => "#0000FF", "index" => 2, "objects" => [], "areaPlaces" => {"GA1" => 100}}
]
await client.events.channels.replace(event.key, [
{
key: "channelKey1",
name: "channel 1",
color: "#FFAABB",
index: 1,
objects: ["A-1", "A-2"]
},
{
key: "channelKey2",
name: "channel 2",
color: "#FFAACC",
index: 2,
objects: [],
areaPlaces: { GA1: 100 }
}
])
err = client.Channels.Replace(
context.Background(),
event.Key,
events.Channel{
Key: "channelKey1",
Name: "channel 1",
Color: "#FFAABB",
Index: 1,
Objects: []string{"A-1", "A-2"},
},
events.Channel{
Key: "channelKey2",
Name: "channel 2",
Color: "#FFAACC",
Index: 2,
Objects: []string{},
AreaPlaces: map[string]int{"GA1": 100},
},
)
{
"channels": [
{
"key": "fc34bdf0-0175-5a0a-e9af-9b0310585056",
"name": "Channel Watermelon",
"color": "#ED303D",
"index": 1,
"objects": ["A-1", "A-2"]
},
{
"key": "7a273f09-8c3a-2782-af93-6546d32abbe5",
"name": "Channel Lime",
"color": "#97CA48",
"index": 2,
"objects": [],
"areaPlaces": { "GA1": 100 }
}
]
}
The request body should contain a json object with one property (channels), that has a json array with the channels.
A channel has the following properties:
key: this needs to be unique and is requiredname: this needs to be unique and is requiredcolor(optional): a css color; color is used in the Event Manager, to be able to distinguish different channels. End users (ticket buyers) will not get to see the channel by color.index(optional): a number that indicates the ordering of channels; index is used in the Event Manager, to keep ordering of channels consistent.objects(optional): an array of objects assigned to the channel. GA areas listed here are assigned as a whole.areaPlaces(optional): a map of GA area label to the number of places within that area to assign to this channel. A GA area cannot appear in bothobjectsandareaPlaces. See General Admission Area Places on Channels.
Note that you cannot use this endpoint for events that are part of a season. Manage the list of channels at the season level instead.
Response
204 - No Content